<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Persona</title>
    </h:head>
    <h:body>
        <ui:include src="menu.xhtml"/>
        <p:growl id="mensaje" />
        <h:form id="formPersona"> 
            <p:panel id="basic" header="Personas" style="margin-bottom:20px"> 

                <h:panelGrid columns="2"> 
                    <p:outputLabel value="Nombres"/>
                    <p:inputText value="#{personaController.persona.nombres}"/>
                    <p:outputLabel value="Apellidos"/>
                    <p:inputText value="#{personaController.persona.apellidos}"/>

                    <p:outputLabel for="onemenu" value="Sexo"/>
                    <p:selectOneMenu id="onemenu" value="#{personaController.persona.sexo}">
                        <f:selectItem itemLabel="Seleccione Uno     " itemValue="" />
                        <f:selectItem itemLabel="Femenino" itemValue="F" />
                        <f:selectItem itemLabel="Masculino" itemValue="M" />
                    </p:selectOneMenu>

                    <p:outputLabel value="FechaNacimiento"/>
                    <p:calendar value="#{personaController.persona.fechaNacimiento}" pattern="yyyy-MM-dd"/>
                    
                    <p:commandButton value="Listar" actionListener="#{personaController.listar()}" update=":listatabla"/>
                    <p:commandButton value="Enviar" actionListener="#{personaController.guardar()}" update="formPersona,:mensaje"/>

                </h:panelGrid>
            </p:panel>
        </h:form>   

        <h:form id="listatabla">

            <p:dataTable  value="#{personaController.lista}" var="ver" paginator="true" rows="5" reflow="true" style="margin-top:2px">
                <f:facet name="header">
                        Listado de Personas
                    </f:facet>
                <p:column headerText="Codigo">
                    <p:outputLabel value="#{ver.codigo}" />
                </p:column>
                <p:column headerText="Nombres">
                    <p:outputLabel value="#{ver.nombres}" />
                </p:column> 
                <p:column headerText="Apellidos">
                    <p:outputLabel value="#{ver.apellidos}" />
                </p:column>
                <p:column headerText="Sexo">
                    <p:outputLabel value="#{ver.sexo}" />
                </p:column>
                <p:column headerText="Fecha de Nacimiento">
                    <p:outputLabel value="#{ver.fechaNacimiento}" />
                </p:column>

                <p:column headerText="Modificar">
                    <p:commandButton value="Modificar" actionListener="#{personaController.leerId(ver)}" update=":dia" oncomplete="PF('w').show();" />
                </p:column>
                <p:column headerText="Eliminar">
                    <p:commandButton value="Eliminar" actionListener="#{personaController.eliminar(ver)}" immediate="true" update=":listatabla,:mensaje" />
                </p:column>
            </p:dataTable>

        </h:form>

        <p:dialog id="dia" widgetVar="w" header="Datos">
            <h:form>
                <p:outputLabel value="Nombres"/>
                <p:inputText value="#{personaController.persona.nombres}"/>
                <p:outputLabel value="Apellidos"/>
                <p:inputText value="#{personaController.persona.apellidos}"/>

                <p:outputLabel for="onemenu" value="Sexo"/>
                <p:selectOneMenu id="onemenu" value="#{personaController.persona.sexo}">
                    <f:selectItem itemLabel="Seleccione Uno     " itemValue="" />
                    <f:selectItem itemLabel="Femenino" itemValue="F" />
                    <f:selectItem itemLabel="Masculino" itemValue="M" />
                </p:selectOneMenu>

                <p:outputLabel value="FechaNacimiento"/>
                <p:calendar value="#{personaController.persona.fechaNacimiento}" pattern="yyyy-MM-dd"/>


                <p:commandButton value="Modificar" actionListener="#{personaController.modificar()}" oncomplete="PF('w').hide ();" update=":listatabla,:mensaje"/> 
                <p:commandButton value="Cancelar" oncomplete="PF('w').hide();" update=":listatabla" immediate="true"/>
            </h:form>
        </p:dialog>


    </h:body>
</html>